#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int x, y; cin >> x >> y;
    if(x<y)swap(x,y);
    int res = 0;
    int m = 1;
    for(;x||y;x/=10,y/=10){
        res += max(x%10,y%10)*m;
        m*=10;
        if(x%10==y%10 && y!=0){
            res+=x%10 * m;
            m*=10;
        }
    }
    cout << res;
    return 0;
}